关闭

iOS开发CocoPods支持报错: [!] Unable to accept duplicate entry for: XXXXX (0.0.1)

1951人阅读 评论(1) 收藏 举报
分类:

在更新开源库的时候报错: [!] Unable to accept duplicate entry for: XXXXX (0.0.1)

意思是:不能接受同一版本的提交

解决方案:

1、执行如下命令,红色标示为修改后的版本

  git tag 0.0.2
      git push --tags
      git push origin master
2、修改XXXX.podspec文件中的内容

Pod::Spec.new do |s|


s.name         = "xxxx"

  s.version      = "0.0.2"

  s.summary      = "一行代码实现省市区三级地区选择功能"

  s.homepage     = "https://github.com/xxx/xx"

  s.license      = { :type => 'MIT', :file => 'LICENSE' }

  s.author       = { "xx" => "xxjiesail@icloud.com" }

  s.social_media_url   = "http://blog.csdn.net/xxx?viewmode=list"

  s.platform     = :ios, "5.0"

  s.ios.deployment_target = "5.0"

  s.source       = { :git => "https://github.com/xxx/xxx.git", :tag => "0.0.2" }


  s.source_files  = 'xxxx/*.{h,m}'

  s.requires_arc = true

  s.dependency "Masonry"


end

3、执行命令 pod spec lint 验证并提交到CocoPods(提交命令: pod trunk push 库名.podspec)


1
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:112793次
    • 积分:1855
    • 等级:
    • 排名:千里之外
    • 原创:73篇
    • 转载:14篇
    • 译文:0篇
    • 评论:15条
    个人资料
    最新评论